/*General Styles*/
body {
	margin: 0;
	padding: 0;
	background-color: #331100;	
}
p {
	text-align: left;
	font-size: 16px;
	margin: 10px;
}
h3 {
	font-size: 18px;
	margin: 10px;
}
.content {
	font-family: Arial, sans-serif;
	color: #000000;
	width: 85%;
	height: 100%;
	text-align: center;
	margin-left: auto;
	margin-right: auto;
	margin-top: 0;
	background-color: #fff1dc;
	border-right: solid 10px #77023f;
	border-left: solid 10px #77023f;
	border-bottom: solid 10px #77023f;
}
.chart-container{
	display:flex;
	flex-direction:row;
	justify-content: space-around;
	border: solid 1px #331100;
	box-shadow:0px 0px 10px #331100;
	margin-top: 20px;
	margin-bottom: 20px;
	margin-right: 30px;
	margin-left: 30px;
	height: 600px;
}
.map-container {
	display:flex;
	flex-direction:column;
	position: relative;
	overflow: hidden;
	margin-left: auto;
	width: 100%;
}
.map-overlay {
	position: absolute;
	bottom: 0;
	left: 0;
	background: #fff1dc;
	margin-left: 20px;
	overflow: auto;
	border-radius: 3px;
	border: solid 2px #331100;
	box-shadow:10px 10px 20px #331100;
}
.basic-legend-key {
	display: inline-block;
	border-radius: 20%;
	width: 10px;
	height: 10px;
	margin-right: 5px;
	border: solid #331100 1px;
}

/*Bar Graph Styles*/
.bar-labels{
	font-size: 12px;
	text-align: left;
	font-weight: bold;
	margin-bottom: 3px;
}
.blank-bar-area{
	margin-left:10px; 
	margin-right: 10px;
	margin-bottom: 10px;
	height: 20px;
	border: solid 1px #e4bcb1;
	width: 10px;
}
.bar-chart{
	display:flex;
	flex-direction:column;
	background-color: #e4bcb1;/*#cdd4af;*/
	flex: 0 0 30%;
	border-right: solid 1px #331100;
	overflow: auto;
}

/*Region Styles*/
#region-map {
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	margin: auto;
}
.region-bar-area{
	background-color: #02793d;
	margin-left:10px; 
	margin-right: 10px;
	margin-bottom: 10px;
	height: 20px;
	border: solid 1px #331100;
	box-shadow: 3px 3px 5px #331100;
}
#region-legend {
	padding: 10px;
	line-height: 18px;
	height: 150px;
	margin-bottom: 40px;
	width: 55px;
	text-align: left;
}
#region-features {
	bottom: 0;
	height: 140px;
	margin-bottom: 40px;
	width: 180px;
	margin-left:118px;
}

/*City Styles*/
#city-map {
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	margin: auto;	
}
.city-bar-area{
	background-color: #02793d;
	margin-left:10px; 
	margin-right: 10px;
	margin-bottom: 10px;
	height: 20px;
	border: solid 1px #331100;
	box-shadow: 3px 3px 5px #331100;
}
#city-legend {
	padding: 10px;
	height: 170px;
	margin-bottom: 40px;
	width: 80px;
	text-align: center;
}
.city-legend-key {
	display: inline-block;
	border-radius: 50%;
	background-color: #f78129;
	border: solid #331100 0.5px;
	margin-right: 5px;
	margin-top: 10px;
	margin-bottom: 5px;
}
#city-features {
	bottom: 0;
	height: 140px;
	margin-bottom: 40px;
	width: 200px;
	margin-left:148px;
}

/*table styles*/
.table-container {
	display:flex;
	flex-direction:row;
	justify-content:space-around;
	height:400px;
	width:100%;
	margin-top: 30px;
	margin-bottom: 60px;
}
.table {
	display:flex; 
	flex-direction:column; 
	background-color:#ffffff;
	overflow: auto;
	border: 2px solid #331100;
	border-radius: 5px;
	box-shadow: 3px 3px 5px #331100;
	width:450px;
}
.table-text {
	font-size: 12px;
	margin: 3px;
}

#lifelog-table {
	height: 700px;
	margin-right: 30px;
	width:350px;
}

/*slider styles*/
.slider-container{
	display:flex;
	flex-direction:column;
	background-color: #e4bcb1;
	width: 175px;
	border-right: solid 1px #331100;
	position:relative;
}
input[type="range"]{
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 300px;
    outline: none;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    background-color: transparent;
    pointer-events: none;
	-moz-transform:  translate(9px, -150px) rotate(90deg);
	-webkit-transform:  translate(-150px, -9px) rotate(90deg);
}
.slider-track{
    width: 280px;
    height: 20px;
    margin: auto;
	display:flex;
	justify-content:center;
    border-radius: 5px;
	border: solid #331100 1px;
	box-shadow: 3px -3px 5px #331100;
	background-color: #fff1dc;
	transform:  translate(99px, 35px) rotate(90deg);
	transform-origin: 0 0;
}
input[type="range"]::-webkit-slider-thumb{
    -webkit-appearance: none;
    height: 30px;
    width: 20px;
    background-color: #02793d;
    cursor: pointer;
    pointer-events: auto;
    border-radius: 15%;
	border: solid 1px #331100;
	box-shadow: 3px -3px 5px #331100;
}
input[type="range"]::-moz-range-thumb{
    -webkit-appearance: none;
    height: 30px;
    width: 20px;
    cursor: pointer;
    border-radius: 15%;
    background-color: #02793d;
    pointer-events: auto;
	border: solid 1px #331100;
	box-shadow: 3px -3px 5px #331100;
}
input[type="range"]::-ms-thumb{
    appearance: none;
    height: 30px;
    width: 20px;
    cursor: pointer;
    border-radius: 15%;
    background-color: #02793d;
    pointer-events: auto;
	border: 1px #331100;
	box-shadow: 3px 3px 5px #331100;
}
#slider{
	height: 350px;
}
.slider-values{
	background-color: #fff1dc;
	padding: 10px;
	border-radius: 10px;
	width: 100px;
	border: solid 1px #331100;
	margin-left: auto;
	margin-right: auto;
	box-shadow: 3px 3px 5px #331100;
}
#slider-val-1{
	position: relative;
	margin-top: 25px;
}
#slider-val-2{
	position: relative;
	bottom: 0;
	text-align:center;
}

/*Life Path Styles*/
#line-legend {
	padding: 10px;
	height: 140px;
	margin-bottom: 40px;
	width: 60px;
	text-align: center;
}
#line-features{
	bottom: 0;
	height: 135px;
	margin-bottom: 40px;
	width: 350px;
	margin-left:148px;
}
.line-map-container {
	position: relative;
	overflow: hidden;
	margin-left: auto;
	width: 100%;
}
#line-map {
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	margin: auto;	
}

/*Centroid Styles*/
#centroid-chart {
	display:flex;
	flex-direction:row;
	height: 100px;
	border-bottom: solid 1px #331100;
	background-color: #e4bcb1;
}
.centroid-map-container {
	position: relative;
	overflow: hidden;
	height: 100%;
}
#centroid-map {
	position: absolute;
	top: 0;
	bottom: 0;
	width: 100%;
	margin: auto;
}
#centroid-legend {
	padding: 5px;
	height: 140px;
	margin-bottom: 20px;
	margin-right: 129px;
	width: 70px;
	left: auto;
	right: 0;
}
#centroid-legend:hover {
	background-color: #cfd0cf !important;
	cursor: pointer;
}
#moving-avg-legend {
	padding: 5px;
	height: 140px;
	margin-bottom: 20px;
	margin-right: 20px;
	width: 70px;
	left: auto;
	right: 0;
}
#moving-avg-legend:hover {
	background-color: #cfd0cf !important;
	cursor: pointer;
}

/*barcode Styles*/
.place-bar-container {
	display:flex;
	flex-direction:column;
	/*width:100%;*/
	background-color: #ffffff;
	margin-top:20px;
	margin-bottom:10px;
	border: solid 1px #331100;
	box-shadow:0px 0px 10px #331100;
	margin-right: 50px;
	margin-left:50px;
}
#place-bar-input {
	margin: 15px;
	width: 200px;
}
#place-bar {
	height: 200px;
	margin-right:15px;
	margin-left:15px;
	display:flex;
	flex-direction:row;
}
#place-bar-input-container {
	display:flex;
	flex-direction:row;
}
.sliver {
	background-color: #838684;
}
#place-bar-input-list {
	height: 100px;
	overflow:hidden;
}
#place-bar-legend {
	padding-left:15px; 
	padding-right:15px; 
	padding-bottom: 15px;
}
.place-bar-legend-label {
	background-color: #ccd4af; 
	border-radius: 5px; 
	margin:5px;
	padding:5px;
	display: inline-block;
	font-size:14px;
}
.place-bar-legend-label:hover {
	background-color: #f12b39;
	color: #fff1dc;
	cursor: pointer;
}
#place-bar-clear-button {
	margin:15px;
	border-radius: 5px;
	border: solid 1px #f12b39;
	color: #f12b39;
	padding: 5px;
	cursor: pointer;
}
#place-bar-clear-button:hover {
	color: #fff1dc;
	background-color: #f12b39;
}
#place-bar-warning {
	color: #f12b39;
	padding: 5px;
	border: 1px;
	margin: 15px;
}

.place-bar-axis {
	font-size:12px;
	width:50%;
	margin-top:0px;
	margin-bottom:0px;
	margin-left:3px;
	margin-right:3px;
	color:#ffffff;
}
#place-bar-dates {
	display:flex; 
	flex-direction:row;
	background-color:#000000;
	margin-left:15px;
	margin-right:20px;
	margin-bottom:5px;
}


/*Line Graph Styles*/
.line-graph-container {
	display: flex;
	flex-direction: row;
	height: 500px;
	background-color: #ffffff;
	box-shadow: 0px 0px 10px #331100;
	border: solid 1px #331100;
	margin-left:30px;
	margin-right:30px;
}
#line-graph-canvas {
	background-color: #ffffff;
}
#line-graph-canvas-container {
	position: relative;
	overflow: hidden;
	margin-left: auto;
	height: 100%;
	width: 100%;
}
#line-graph-legend {
	width:200px;
	padding:8px;
	text-align:left;
}
.line-graph-legend-label {
	border-radius: 5px; 
	margin: 5px;
	padding: 3px;
	color: #000000;
	font-size: 12px;
	text-align: left;
}
.line-graph-legend-label:hover {
	color: #fff1dc;
	background-color: #f12b39;
	cursor: pointer;
}
.line-graph-legend-label-static {
	margin: 5px;
	padding: 3px;
	color: #331100;
	font-size: 12px;
	text-align: left;
}
#line-graph-legend {
	width:200px; 
	background-color:#e4bcb1;
	box-shadow: -3px 0px 10px 1px #331100;
	z-index: 1;
}
#line-other-label:hover {
	color: #838684;
	background-color: #cfd0cf;
	cursor: pointer;
}
#line-graph-leader-label {
	font-size:12px; 
	color:#331100;
	margin-left:0px; 
	margin-right:0px; 
	margin-top:12px;
	text-align:center; 
}


/* Writing Styles */
.writing-container {
	display: flex;
	flex-direction: column;
	margin: 30px;
	border: 2px solid #ffffff;
	border-radius: 5px;
	background-color: #ffffff;
}

.writing-container.active {
	border: 2px solid #331100;
}

.writing-title {
	background-color: #9abd93;
	font-weight: bold;
	text-align: left;
	padding: 10px;
	border-radius: 5px;
	border: solid 2px #331100;
	position: relative;
}
.writing-title.active {
	border: solid 2px #9abd93;
    border-radius: 0px;
}
.writing-title:hover {
	background-color: #02793d;
	color: #ffffff;
	border-color: #02793d;
	cursor: pointer;
}
.writing-text {
	padding: 0px;
	text-align: justify;
	line-height: 25px;
	padding-top: 0px;
	height: 0px;
	padding: 0px;
	margin: 0px;
	visibility: hidden;
}
.writing-text.active {
	visibility: visible;
	padding: 10px;
	height: auto;
}
.arrow-circle {
	width: 24px;
	height: 24px;
	border-radius: 12px;
	background-color: #fff1dc;
	position: absolute;
	top: calc(50% - 12px);
	right: 20px;
}
.arrow {
	border: solid #331100;
	border-width: 0 3px 3px 0;
	padding: 3px;
	top: calc(50% - 5px);
	right: 27.5px;
	position: absolute;
}
.up {
	transform: rotate(-135deg);
	-webkit-transform: rotate(-135deg);
}
.down {
	transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
}

#raw-data-section-container {
	display: flex;
	flex-direction: row;
}
